Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 25/12/2014, à 08:11

Preda

[Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Bonjour,

Je suis sous Linux avec Ubuntu. Après ne pas avoir jouer à Dofus pendant 1 an (j'avais réussi à l'installer après des mois et des mois de recherche sur internet), je décide de me recréer un compte. Je lance donc le jeu, sauf que lorsque la mise à jour va commencer, un message d'erreur s'affiche : "Un problème touche actuellement le serveur de mise à jour. Nous vous conseillons d'attendre que le problème soit résolu avant de réessayer".

Là les réponses telles que "Bein tu n'as qu'à attendre comme il est demandé" semblent de premier abord tout à fait légitime. SAUF QUE cela fait plus d'une semaine et cet étrange problème semble ne viser que moi. Par conséquent il me paraît très probable que le soucis en question soit bien plus profond que ça, c'est-à-dire que depuis 1 an différentes choses ont du changées et que désormais "ma" version de Dofus est obsolète.

Ayant peur de tout ruiner à la première manipulation je requiers votre aide. L'hypothèse de tout désinstaller puis de tout réinstaller sur des bases saines me paraît séduisante mais je n'ai strictement aucune idée de comment m'y prendre. Et sachez que Linux Ubuntu est une vraie misère en ce qui concerne l'installation de Dofus ..

D'ailleurs je ne vous mentirai pas en disant que j'ai peur d'espoir en postant ici .. Faites moi mentir s'il vous plaît, et merci d'avance.

Dernière modification par Preda (Le 01/01/2015, à 11:41)

Hors ligne

#2 Le 26/12/2014, à 08:06

J5012

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

ta methode d'install figure dans cette doc : http://doc.ubuntu-fr.org/dofus ?

Hors ligne

#3 Le 27/12/2014, à 08:19

Preda

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

C'est-à-dire ? Celle avec laquelle j'ai installé Dofus il y a 1 an ?

Non, j'ai utilisé la méthode d'un joueur sur le topic "installation de dofus par paquet debian et rpm", méthode expliquée page 31 ou dans ces environs-là. Mais là ça ne marche plus (j'ai essayé sur un autre ordinateur avec les mêmes configurations que le mien) .;

Hors ligne

#4 Le 29/12/2014, à 00:29

J5012

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

page 31 ? ta methode est dans un livre ?
tu peux telecharger sur le site officiel , l'archive zip pour w et linux/ubuntu qui fait à peu pres 1,7go
les deb ou rpm sont en fait des installeurs qui recuperent le reste des fichiers sur le net, si ton binaire est un peu ancien, l'adresse de telechargement n'existe plus ...

Hors ligne

#5 Le 29/12/2014, à 21:36

Preda

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Càd ?
Je suis assez perdu, s'il serait possible d'avoir une méthode par étape détaillée ...

Hors ligne

#6 Le 29/12/2014, à 21:46

J5012

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

comment ca perdu ... tu joues à ce jeu, et tu n'as jamais cherché à comprendre comment il s'installait ?

le jeu dofus a toujours ete gratuitement telechargeable, point n'est besoin de se rendre sur certaines plateformes ... c'est juste qu'il se joue seulement online, et le serveur de jeu necessite un compte valide : tu l'as créé bien ...

il ne te reste plus qu'a prendre la grosse archive de 1,7go sur leur site officiel ... les diverses methodes que l'on voit sur les divers tutos du net concerne des binaires d'installation online, ce binaire que tu telecharges ne fait pas à lui seul le programme de jeu, alors que la grosse archive si ...

Hors ligne

#7 Le 29/12/2014, à 22:04

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Salut Preda !
Tu donnes peu d'infos dur ta distribution et l'architecture de ton système...
Quelle distribution Ubuntu utilises-tu, Precise 12.04, Trusty 14.04, Utopic 14.10 ?
Quelle est l'architecture utilisée, 32 bits (i386), 64 bits (amd64) ?


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#8 Le 29/12/2014, à 22:56

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Preda !
D'après d'autres messages il semble que tu tourne sur une architecture 64 bits. Si la distribution que tu utilises est : Precise 12.04, Trusty 14.04, Utopic 14.10 ou Linux Mint 13 Maya ou 17 Qiana tu peux utiliser le tuto ci-dessous. Sinon tu me dis...
En ce qui me concerne j'ai installé Dofus sur Trusty 14.04 64 bits.

1) Supprimes ou désinstalles ta précédente installation de Dofus et Adobe Air :

sudo apt-get remove --purge dofus adobeair

Tu appuies sur Entrée, tu entres ton mot de passe quand il est requis, tu appuies de nouveau sur Entrée.

Et aussi :

rm -R ~/.config/Ankama

Tu appuies sur Entrée.

rm -R ~/.config/ankama

Tu appuies sur Entrée.


2a) Ce paragraphe est uniquement destiné à Ubuntu Precise 12.04 ou Linux Mint 13 Maya.
Donne la possibilité au système d'utiliser des paquets 32 bits sur un architecture 64 bits et mets à jour tes dépôts. Dans un Terminal :

sudo apt-get install ia32-libs && sudo apt-get update

Tu appuies sur Entrée, tu entres ton mot de passe s'il est requis, tu appuies de nouveau sur Entrée.
Note que cette commande va installer de nombreuses dépendances.


2b) Ce paragraphe est uniquement destiné aux versions Ubuntu supérieures à 13.10, Trusty 14.04, Utopic 14.10 ou Linux Mint 17 Qiana.
Donne la possibilité au système d'utiliser des paquets 32 bits sur un architecture 64 bits et mets à jour tes dépôts. Dans un Terminal :

sudo dpkg --add-architecture i386 && sudo apt-get update

Tu appuies sur Entrée, tu entres ton mot de passe s'il est requis, tu appuies de nouveau sur Entrée.


3) Tu installes les dépendances :

sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0
sudo apt-get install --fix-missing libc6:i386 libstdc++6:i386 libgtk2.0-0:i386 libnss3:i386 libxml2:i386 libgtk2.0-0:i386 libjpeg62:i386 libasound2:i386 libxtst6:i386 libnspr4-0d:i386 lib32nss-mdns libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libnss3-1d

Tu appuies sur Entrée, tu entres ton mot de passe s'il est requis, tu appuies de nouveau sur Entrée.


4) Télécharge le script d'installation d'Adobe Air :

cd && wget -q http://kaisman.fr/fichiers/Dofus/adobe-air.sh.tar.gz && tar xvfz adobe-air.sh.tar.gz && rm adobe-air.sh.tar.gz

Tu appuies sur Entrée.


5) Installe Adobe Air :

cd && chmod +x adobe-air.sh && sudo ./adobe-air.sh

Tu appuies sur Entrée, tu entres ton mot de passe s'il est requis, tu appuies de nouveau sur Entrée.


6) Ces 2 commandes créées des lien symboliques permettant à Dofus de trouver la bonne librairie pour la gestion des mots de passe.

sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0
sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0

Tu appuies sur Entrée, tu entres ton mot de passe s'il est requis, tu appuies de nouveau sur Entrée.


7) Télécharge l'archive DofusInstall-amd64.tar.gz :

cd && wget -q http://kaisman.fr/fichiers/Dofus/DofusInstall-amd64.tar.gz && tar xvfz DofusInstall-amd64.tar.gz && rm DofusInstall-amd64.tar.gz

Tu appuies sur Entrée.


8) Tu peux tester si Dofus est fonctionnel en double cliquant sur le fichier Dofus dans le dossier Dofus (/home/ton_dossier_personnel/Dofus/Dofus) ou bien tu fais :

cd ~/Dofus && ./Dofus

Tu appuies sur Entrée.


9) Si tout se passe bien tu peux créer un raccourci (lanceur). Dans un Terminal :

gksu gedit /usr/share/applications/Dofus.desktop

Tu appuies sur Entrée, tu entres ton mot de passe s'il est requis, tu appuies de nouveau sur Entrée.

Copie/colle :

[Desktop Entry]
Type=Application
Categories=Application;Game;
Icon=/home/ton_dossier_personnel/Dofus/share/icon/dofus-icon-128.png
Name=Dofus
Terminal=false
Exec=/home/ton_dossier_personnel/Dofus/Dofus
Hidden=false

Remplace ton_dossier_personnel par ton nom d'utilisateur.
Enregistre et ferme.


Tu peux maintenant lancer Dofus dans le Dash ou, si tu disposes d'un menu, Dofus dans la catégorie Jeux.

dofus_01_mini.jpg

dofus_02_mini.jpg

dofus_03_mini.jpg

dofus_04_mini.jpg

Dernière modification par bishop (Le 23/11/2015, à 09:12)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#9 Le 30/12/2014, à 08:55

Preda

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Bonjour bishop,

Je te suis grandement reconnaissant de l'intérêt porté à mon topic, et de l'avoir matérialiser par un tutoriel aussi précis ! Je le teste dès que possible et je vous tiens au courant. Merci beaucoup !

Hors ligne

#10 Le 30/12/2014, à 09:04

Preda

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

(Désolé pour le double post)

Premier soucis. J'ai réalisé l'étape T1 (j'ai supprimé AdobeAir via le terminal, et Dofus en supprimant tous les fichiers qui y étaient inhérents car cela ne fonctionnait pas via ce terminal).

Lors de l'étape 2, lorsque je te tape

sudo dpkg --add-architecture i386 && sudo apt-get update

Le terminal ne semble pas reconnaître cette commande :

dpkg : erreur : option --add-architecture inconnue

Il doit donc y avoir une anomalie dans l'énonciation de celle-ci ?

Hors ligne

#11 Le 30/12/2014, à 10:33

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Salut Preda !
Quelle distribution Ubuntu utilises-tu. Precise 12.04, Trusty 14.04, Utopic 14.10 ou autre ? Dans un Terminal :

lsb_release -d

Quelle architecture ? Dans un Terminal :

uname -a

Peux-tu répondre à ces deux questions... Merci !

Dernière modification par bishop (Le 30/12/2014, à 10:33)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#12 Le 30/12/2014, à 16:46

Preda

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Voici les résultats obtenus :
- "Ubuntu 12.04.4 LTS"
- "Linux 201211090 3.2.0-74-generic #109-Ubuntu SMP Tue Dec 9 16:45:49 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux"

Hors ligne

#13 Le 30/12/2014, à 18:06

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

J'ai fait la modification dans le tuto #8. Pour Precise 12.04 il faut que tu utilises la ligne de commande en 2a).
Si ça ne fonctionne pas tu me dis...

Si ça fonctionne tu passes à 3) et tu continues.

Dernière modification par bishop (Le 30/12/2014, à 18:12)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#14 Le 30/12/2014, à 19:42

Preda

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Ça marche, mais quand je tape au 3) :

sudo apt-get install libc6:i386 libstdc++6:i386 libgtk2.0-0:i386 libnss3:i386 libxml2:i386 libgtk2.0-0:i386 libjpeg62:i386 libasound2:i386 libxtst6:i386 libnspr4-0d:i386 lib32nss-mdns libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386

Je reçois au bout d'un certain moment, je suppose vers la fin :

Impossible de récupérer quelques archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

Je peux continuer quand même ?

Hors ligne

#15 Le 30/12/2014, à 22:03

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Essaie ce qui est demandé :

sudo apt-get get update
sudo apt-get install --fix-missing libc6:i386 libstdc++6:i386 libgtk2.0-0:i386 libnss3:i386 libxml2:i386 libgtk2.0-0:i386 libjpeg62:i386 libasound2:i386 libxtst6:i386 libnspr4-0d:i386 lib32nss-mdns libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386

Est-ce qu'il est dit quelles archives ne peuvent être récupérer ?

Dernière modification par bishop (Le 30/12/2014, à 22:05)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#16 Le 31/12/2014, à 08:17

Preda

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

C'est installé, tout fonctionne parfaitement !
Je te suis infiniment reconnaissant de ton aide bishop, merci beaucoup car j'y croyais difficilement.

Bonne journée et bon réveillon à tous !

Hors ligne

#17 Le 31/12/2014, à 09:00

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Cool ! cool
STP ! Tu peux éditer ton premier message et ajouter [Résolu] dans le titre. Merci !
Dans le style : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Meilleurs Vœux à toi et à tous les utilisatrices et utilisateurs de GNU|Linux.

Dernière modification par bishop (Le 31/12/2014, à 09:18)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#18 Le 01/01/2015, à 11:41

Preda

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Bonjour,

Ça marche et meilleurs voeux également, et surtout la santé !

Hors ligne

#19 Le 15/03/2015, à 18:24

NightCollision

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Bonjour,
Merci de ce tutoriel aussi bien détaillé mais j'ai un problème dans l'installation à la fin du tutoriel.
Lorsque je met

cd ~/Dofus && ./Dofus
-bash: ./Dofus : impossible d’exécuter le fichier binaire : Erreur de format pour exec()

Je ne sais pas quoi faire....

Merci de bien vouloir m'aider smile

Hors ligne

#20 Le 15/03/2015, à 19:23

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Salut NightCollision !
Il y a un problème avec -bash: dans :

-bash: ./Dofus : impossible d’exécuter le fichier binaire : Erreur de format pour exec()

-bash: n'a rien à faire dans la commande mais ce n'est peut être que pour signifier le message d'erreur.

Fait :

cd ~/Dofus

Puis :

./Dofus

Si tu as -bash: au début de la commande, revient au début de la commande avec flèche de gauche et supprime -bash: . Puis tu lances la commande avec Entrée.

Dernière modification par bishop (Le 30/03/2015, à 08:52)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#21 Le 15/03/2015, à 19:30

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Tu peux aussi faire :

chmod +x ~/Dofus/Dofus

Puis lancer la commande pour Dofus :

cd ~/Dofus && ./Dofus

Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#22 Le 01/09/2015, à 16:21

popplox

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

bishop desolé de deranger sur un post résolu mais je n'arrive pas a installer adobe air malgré avoir fait l'etape 4, lorsque que je rentre la commande 5) voila ce que j'obtiens : chmod: impossible d'accéder à «adobe-air.sh»: Aucun fichier ou dossier de ce type hmm si tu as une reponse a ça ça m'aiderait beaucoup merci d'avance smile

Hors ligne

#23 Le 01/09/2015, à 20:20

bishop

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Salut popplox !
La commande ne pouvait pas fonctionner car j'avais supprimé le fichier.
Je viens de le remettre en ligne ainsi que l'archive Dofus. Tu peux reprendre l'installation à partir de le l'étape 4.


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#24 Le 02/09/2015, à 17:18

popplox

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

merci beaucoup bishop au final entre temps j'ai quand meme reussi a l'installer sans l'etape 4
j'ai telechargé sur le site officiel j'ai extrait les document du dossier dofus et j'ai lancer le jeu qui lors des mise a jours m'as directement renvoyer a l'interface d'installation d'adobe air donc aucun soucis je joue au jeu en ce moment meme smile

Hors ligne

#25 Le 12/12/2015, à 12:13

Compte anonymisé

Re : [Résolu] [Dofus] Besoin d'aide, je suis désespéré ..

Bonjour,

Je suis sous Ubuntu 14.04 en 32bits et depuis maintenant 3 jours j'essaye en vain de télécharger Dofus, j'ai essayé tout les tutos sur internet mais j'ai décidé de demander de l'aide sur celui ci car c'est un tuto très bien détaillé. J'avais déjà installer Dofus en 2013 sur la même machine mais ajd je n'arrive plus à le réinstaller proprement. En effet j'ai déjà réussi à l'installer mais il me signalait des problèmes serveurs donc impossible de faire les mises à jours. Avec le tuto présent sur cette page il y a un message d'erreur dans le terminal qui me dis que les paquets lib32z1 lib32ncurses5 lib32bz2-1.0 sont introuvables... J'ai essayé de les télécharger moi même sur internet mais je n'ai rien trouvé. Dans l'attente de votre coup de pouce smile

EDIT: en faite j'avais déjà wine d'installé, du coup j'ai téléchargé le fichier windows de Dofus, et j'ai executé à la main Dofus dans le fichier Dofus, avec l'application Wine, et visiblement ça marche smile

Dernière modification par Gorgarex (Le 12/12/2015, à 14:19)